components:
  schemas:
    EventService_v1_3_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#EventService.SubmitTestEvent':
          $ref: '#/components/schemas/EventService_v1_3_0_SubmitTestEvent'
        Oem:
          $ref: '#/components/schemas/EventService_v1_3_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_0_EventFormatType:
      enum:
      - Event
      - MetricReport
      type: string
      x-enumDescriptions:
        Event: The subscription destination will receive JSON Bodies of the Resource
          Type Event.
        MetricReport: The subscription destination will receive JSON Bodies of the
          Resource Type MetricReport.
    EventService_v1_3_0_EventService:
      additionalProperties: false
      description: The Event Service resource contains properties for managing event
        subcriptions and generates the events sent to subscribers.  The resource has
        links to the actual collection of subscriptions (called Event Destinations).
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/EventService_v1_3_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        DeliveryRetryAttempts:
          description: This is the number of attempts an event posting is retried
            before the subscription is terminated.  This retry is at the service level,
            meaning the HTTP POST to the Event Destination was returned by the HTTP
            operation as unsuccessful (4xx or 5xx return code) or an HTTP timeout
            occurred this many times before the Event Destination subscription is
            terminated.
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall be the number of retrys
            attempted for any given event to the subscription destination before the
            subscription is terminated.  This retry is at the service level, meaning
            the HTTP POST to the Event Destination was returned by the HTTP operation
            as unsuccessful (4xx or 5xx return code) or an HTTP timeout occurred this
            many times before the Event Destination subscription is terminated.
        DeliveryRetryIntervalSeconds:
          description: This represents the number of seconds between retry attempts
            for sending any given Event.
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall be the interval in seconds
            between the retry attempts for any given event to the subscription destination.
          x-units: s
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        EventFormatTypes:
          description: Indicates the content types of the message that this service
            can send to the event destination.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/EventDestination.yaml#/components/schemas/EventDestination_EventFormatType
            nullable: true
          readOnly: true
          type: array
          x-longDescription: The value of this property shall indicate the the content
            types of the message that this service can send to the event destination.  If
            this property is not present, the EventFormatType shall be assumed to
            be Event.
          x-versionAdded: v1_2_0
        EventTypesForSubscription:
          deprecated: true
          description: This is the types of Events that can be subscribed to.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Event.yaml#/components/schemas/Event_EventType
          readOnly: true
          type: array
          x-deprecatedReason: This property has been deprecated.  Starting Redfish
            Spec 1.6 (Event 1.3), subscriptions are based on RegistryId and ResourceType
            and not EventType.
          x-longDescription: The value of this property shall be the types of events
            that subscriptions can subscribe to.  The semantics associated with the
            enumerations values are defined in the Redfish specification.
          x-versionDeprecated: v1_3_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        RegistryPrefixes:
          description: A list of the Prefixes of the Message Registries that can be
            used for the RegistryPrefix property on a subscription.  If this property
            is absent or contains an empty array, the service does not support RegistryPrefix-based
            subscriptions.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: The value of this property is the array of the Prefixes
            of the Message Registries that shall be allowed for an Event Subscription.
          x-versionAdded: v1_2_0
        ResourceTypes:
          description: A list of @odata.type values (Schema names) that can be specified
            in a ResourceType on a subscription.  If this property is absent or contains
            an empty array, the service does not support ResourceType-based subscriptions.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: The value of this property shall specify an array of
            the valid @odata.type values that can be used for an Event Subscription.
          x-versionAdded: v1_2_0
        SSEFilterPropertiesSupported:
          $ref: '#/components/schemas/EventService_v1_3_0_SSEFilterPropertiesSupported'
          description: Contains a set of properties that indicate which properties
            are supported in the $filter query parameter for the ServerSentEventUri.
          x-longDescription: The value of this property shall contain a set of properties
            that indicate which properties are supported in the $filter query parameter
            for the URI indicated by the ServerSentEventUri property.
          x-versionAdded: v1_2_0
        ServerSentEventUri:
          description: Link to a URI for receiving Sever Sent Event representations
            of the events generated by this service.
          format: uri-reference
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be a URI that specifies
            an HTML5 Server-Sent Event conformant endpoint.
          x-versionAdded: v1_1_0
        ServiceEnabled:
          description: This indicates whether this service is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            whether this service is enabled.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: This property describes the status and health of the resource
            and its children.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        SubordinateResourcesSupported:
          description: This indicates if the service supports the SubordinateResource
            property on Event Subscriptions.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: When set to true, the service is indicating that it supports
            the SubordinateResource property on Event Subscriptions and on generated
            Events.
          x-versionAdded: v1_2_0
        Subscriptions:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: This is a reference to a collection of Event Destination resources.
          readOnly: true
          x-longDescription: The value of this property shall contain the link to
            a collection of type EventDestinationCollection.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent an event service
        for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_0_SSEFilterPropertiesSupported:
      additionalProperties: false
      description: Contains a set of properties that indicate which properties are
        supported in the $filter query parameter for the ServerSentEventUri.
      properties:
        EventFormatType:
          description: This indicates if the EventFormatType property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the EventFormatType property in the
            $filter query parameter as described by the specification.
          x-versionAdded: v1_2_0
        EventType:
          deprecated: true
          description: This indicates if the EventType property is supported.
          readOnly: true
          type: boolean
          x-deprecatedReason: This property has been deprecated.  Starting Redfish
            Spec 1.6 (Event 1.3), subscriptions are based on RegistryId and ResourceType
            and not EventType.
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the EventType property in the $filter
            query parameter as described by the specification.
          x-versionAdded: v1_2_0
          x-versionDeprecated: v1_3_0
        MessageId:
          description: This indicates if the MessageId property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the MessageId property in the $filter
            query parameter as described by the specification.
          x-versionAdded: v1_2_0
        MetricReportDefinition:
          description: This indicates if the MetricReportDefinition property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the MetricReportDefinition property
            in the $filter query parameter as described by the specification.
          x-versionAdded: v1_2_0
        OriginResource:
          description: This indicates if the OriginResource property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the OriginResource property in the
            $filter query parameter as described by the specification.
          x-versionAdded: v1_2_0
        RegistryPrefix:
          description: This indicates if the RegistryPrefix property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the RegistryPrefix property in the
            $filter query parameter as described by the specification.
          x-versionAdded: v1_2_0
        ResourceType:
          description: This indicates if the ResourceType property is supported.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            if this service supports the use of the ResourceType property in the $filter
            query parameter as described by the specification.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: The type shall contain a set of properties that indicate
        which properties are supported in the $filter query parameter for the URI
        indicated by the ServerSentEventUri property.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_0_SubmitTestEvent:
      additionalProperties: false
      description: This action is used to generate a test event.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall add a test event to the event service with
        the event data specified in the action parameters. This message should then
        be sent to any appropriate ListenerDestination targets.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_0_SubmitTestEventRequestBody:
      additionalProperties: false
      description: This action is used to generate a test event.
      properties:
        EventGroupId:
          description: This is the group ID of the event to be added.
          type: integer
          x-longDescription: The parameter shall have the same semantics as the EventGroupId
            property in the Event schema for Redfish.
          x-versionAdded: v1_3_0
        EventId:
          description: This is the ID of event to be added.
          type: string
          x-longDescription: This parameter shall have the same semantics as the EventId
            property in the Event schema for Redfish.
        EventTimestamp:
          description: This is the time stamp of event to be added.
          format: date-time
          type: string
          x-longDescription: This parameter shall have the same semantics as the EventTimestamp
            property in the Event schema for Redfish.
        EventType:
          $ref: http://redfish.dmtf.org/schemas/v1/Event.yaml#/components/schemas/Event_EventType
          deprecated: true
          description: This is the type of event to be added.
          x-deprecatedReason: This parameter has been deprecated.  Starting Redfish
            Spec 1.6 (Event 1.3), subscriptions are based on RegistryId and ResourceType
            and not EventType.
          x-longDescription: This parameter shall define the property name for which
            the following allowable values apply.
          x-versionDeprecated: v1_3_0
        Message:
          description: This is the human readable message of event to be added.
          type: string
          x-longDescription: This parameter shall have the same semantics as the Message
            property in the Event schema for Redfish.
        MessageArgs:
          description: This is the array of message arguments of the event to be added.
          items:
            type: string
          type: array
          x-longDescription: This parameter shall have the same semantics as the MessageArgs
            property in the Event schema for Redfish.
        MessageId:
          description: This is the message ID of event to be added.
          type: string
          x-longDescription: This parameter shall have the same semantics as the MessageId
            property in the Event schema for Redfish.
        OriginOfCondition:
          description: This is the string of the URL within the OriginOfCondition
            property of the event to be added.  It is not a reference object.
          format: uri-reference
          type: string
          x-longDescription: This parameter shall be a string that represents the
            URL contained by the OriginOfCondition property in the Event schema for
            Redfish.
        Severity:
          description: This is the Severity of event to be added.
          type: string
          x-longDescription: This parameter shall have the same semantics as the Severity
            property in the Event schema for Redfish.
      required:
      - EventId
      - EventTimestamp
      - Message
      - MessageArgs
      - MessageId
      - OriginOfCondition
      - Severity
      type: object
      x-longDescription: This action shall add a test event to the event service with
        the event data specified in the action parameters. This message should then
        be sent to any appropriate ListenerDestination targets.
title: '#EventService.v1_3_0.EventService'
x-copyright: Copyright 2014-2019 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2019.1'
